Bug 483026 - Review Request: hatools - Improved shell scripting in High Availability environment
Review Request: hatools - Improved shell scripting in High Availability envir...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 07:19 EST by Oliver Falk
Modified: 2009-02-06 00:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 00:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2009-01-29 07:19:23 EST
Spec URL: http://filelister.linux-kernel.at/downloads/share/hatools.spec
SRPM URL: http://filelister.linux-kernel.at/downloads/share/hatools-2.00-1.fc10.src.rpm
Description:
The HA-Tools provide some programs to improve shell scripting in a High
Availability environment.
The halockrun program provides a simple and reliable way to implement a locking
in shell scripts. A typical usage for halockrun is to prevent cronjobs to run
simultanously. halockrun uses a lock on a file via fcntl(2) which ensures the
release of the lock even if the process gets killed via SIGKILL.
The hatimerun program provides a time-out mechanism which can be used from
shell scripts.
Comment 1 Oliver Falk 2009-01-29 07:20:12 EST
I'm not sure about the GPL license... Maybe with more knowledge about licensing should take that this review...
Comment 2 Jochen Schmitt 2009-01-29 11:22:55 EST
Good:
+ Basename of the SPEC files matches with package name
+ Package contains the most current release
+ SPEC file is written in English
+ Could download source via spectool -g
+ Packaged tar ball matches with upstream
(md5sum: ba137a37f6725076c7d2c729cbccf4a5)
+ Package contains no patches
+ Package contains a license tag
+ Package contains a verbatin copy of the license text
+ Package contains proper BuildRoot specification
+ Consistently use of rpm macros
+ Package contains no patches
+ Package doesn't need any BRs or Reqs.
+ Package use parallel make
+ Buildroot will be cleaned at the beginning of %clean and %install
+ Local build works fine
+ Build honors $RPM_OPT_FLAGS
+ Koji build works fine
+ Debuginfo package contains source files
+ Local install works fine
+ Start of command without arguments doesn't crashed
+ Local uninstall works fine
+ Package doesn't have subpackages
+ Default files permission are ok.
+ Files have proper file permission
+ %files stanza doesn't have duplicated entries
+ All packaged files are owned by the package
+ No packaged file has a conflict with ohter packages
+ %doc stanza is small, so we don't need a separate subpackage
+ %changelog is in a proper format

Bad:
- License tag says GPL as license. It's necessary to specified the
version of the used GPL. A look on the source files says, that GPLv2+
may the right specification for the license tag.

TODO:
* I thing a blank line beetween the paragraph of the description
will incerease the readability of it.
Comment 3 Oliver Falk 2009-01-30 08:08:58 EST
Updated the spec, including TODO and BAD :-)
I did *not* increase the release number.

Thx Jochen for reviewing!
Comment 4 Jochen Schmitt 2009-02-01 14:45:13 EST
Good:
+ License tag say GPLv2+ as an OSS license wich matches with the copyright notes in the source files.
+ Adding blank lines betweens the paragraphs.


*** APPROVED ***
Comment 5 Oliver Falk 2009-02-01 15:23:28 EST
New Package CVS Request
=======================
Package Name: hatools
Short Description: Improved shell scripting in High Availability environment
Owners: oliver
Branches: EPEL-4 EPEL-5 F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-02-02 23:09:16 EST
cvs done.
Comment 7 Fedora Update System 2009-02-06 00:19:58 EST
hatools-2.00-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-02-06 00:24:55 EST
hatools-2.00-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.